# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './phone'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class Contact < Node
    include HappyMapper
    tag 'ContactInfo'

    attribute :nature, RixmlType::NormalizedString, tag: 'nature'

    has_many :emails, String, tag: 'Email'
    has_many :phones, Phone, tag: 'Phone'
  end
end
