# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/upcase_string'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class Country < Node
    include HappyMapper
    tag 'Country'

    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
    attribute :code, RixmlType::UpcaseString, tag: 'code'
  end
end
