# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class Length < Node
    include HappyMapper
    tag 'Length'

    attribute :length_unit, RixmlType::NormalizedString, tag: 'lengthUnit'
    content :value, String

    def pages?
      length_unit == 'pages'
    end
  end
end
