# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './contact'

module RixmlDocument
  class Person < Node
    include HappyMapper
    tag 'Person'

    has_many :contacts, Contact, tag: 'ContactInfo', xpath: './'

    attribute :person_id, String, tag: 'personID'

    element :family_name, String, tag: 'FamilyName'
    element :given_name, String, tag: 'GivenName'
    element :middle_name, String, tag: 'MiddleName'
    element :display_name, String, tag: 'DisplayName'
    element :job_title, String, tag: 'JobTitle'
  end
end
