# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './person'
require_relative './rixml_type/normalized_string'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class PersonGroupMember < Node
    include HappyMapper
    tag 'PersonGroupMember'

    has_one :person, Person, tag: 'Person', xpath: './'

    attribute :role, RixmlType::NormalizedString, tag: 'role'
    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
  end
end
