# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './asset_class'
require_relative './asset_type'
require_relative './country'
require_relative './region'
require_relative './sector_industry'

module RixmlDocument
  class ProductClassifications < Node
    include HappyMapper
    tag 'ProductClassifications'

    has_many :asset_classes, AssetClass, tag: 'AssetClass', xpath: './'
    has_many :asset_types, AssetType, tag: 'AssetType', xpath: './'
    has_many :countries, Country, tag: 'Country', xpath: './'
    has_many :regions, Region, tag: 'Region', xpath: './'
    has_many :sector_industries, SectorIndustry, tag: 'SectorIndustry', xpath: './'
  end
end
