# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './product'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class Research < Node
    include HappyMapper
    tag 'Research'

    has_one :product, Product, tag: 'Product', xpath: './'

    attribute :research_id, String, tag: 'researchID'
    attribute :created_date_time, Time, tag: 'createDateTime'
    attribute :language, RixmlType::NormalizedString
  end
end
