# frozen_string_literal: true

require 'happymapper'
require 'active_support/core_ext/string'

module RixmlDocument
  module RixmlType
    class NormalizedString
      def self.parse(value)
        value.to_s.underscore.downcase
      end
    end
  end
end

HappyMapper::SupportedTypes.register_type(RixmlDocument::RixmlType::NormalizedString) do |value|
  RixmlDocument::RixmlType::NormalizedString.parse(value)
end
