# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './security_id'
require_relative './asset_class'
require_relative './asset_type'
require_relative './security_type'
require_relative './rixml_type/yes_no_boolean'

module RixmlDocument
  class Security < Node
    include HappyMapper
    tag 'Security'

    has_many :security_ids, SecurityId, tag: 'SecurityID', xpath: './'
    has_one :asset_class, AssetClass, tag: 'AssetClass', xpath: './'
    has_one :asset_type, AssetType, tag: 'AssetType', xpath: './'
    has_one :security_type, SecurityType, tag: 'SecurityType', xpath: './'

    element :security_name, String, tag: 'SecurityName'

    attribute :primary_indicator, RixmlType::YesNoBoolean, tag: 'primaryIndicator'
  end
end
